> For the complete documentation index, see [llms.txt](https://docs.apryse.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.apryse.com/web/changelogs/version-7/v7-3/v7-3-3.md).

# Version 7.3.3 Changelog (2021-06-14)

World's #1 PDF SDK Library for Web, Mobile, Server, Desktop

## WebViewer Core

### Fixes

* Fixed issue where combo box values wouldn't get updated after pinch zooming on iOS
* Fixed issue where it was possible to have a blank page when loading certain documents with WebViewer Server and `TRN_DISABLE_CLIENT_PDF_ACCESS`
* Fixed issue where creating a line annotation it would be slightly offset in the y direction
* Fixed issue where copy/pasting grouped annotations would group them inconsistently with the original group
* Fixed issue where editing the richtext style of a freetext wasn't firing the annotationChanged event
* Fixed issue where you couldn't continue drawing a polyline annotation if you zoomed out in the middle of creating it
* Fixed issue where rectangular measurement annotations were not able to be moved
* Fixed issue where using the callout tool with lineCount 1 didn't work properly
* Fixed issue where copying an annotation didn't copy the associated link
* Fixed issue where setting the `CustomData` property would clear the annotation appearance
* Fixed issue where merging documents could potentially prevent an annotation appearance from being properly displayed
* Fixed issue with a rare uncaught error in the `RubberStampCreateTool`
* Fixed issue where the wrong value is used for `event.change` if the option values change after the initial load
* Fixed issue where pasting a lot of text into a text input with "do not scroll" would ignore the paste instead of truncate the data
* Fixed issue with creating new rectangle redactions

## WebViewer UI

### Fixes

* Fixed issue where the comment summary wouldn't use the updated date format after calling `setPrintedNoteDateFormat`
* Fixed issue where `printInBackground` wasn't able to print the current view
* Fixed issue where using ctrl + scroll wheel didn't zoom to exactly to the mouse location
* Fixed issue where the notes panel comments wouldn't have the correct height sometimes after deselecting
* Fixed incorrect label in the comment summary of printing
* Fixed issue where the last thumbnail in view doesn't get reloaded when the page is removed
* Fixed issue where the `onProgress` callback of `printInBackground` wasn't called for pages with a comment summary
* Fixed scrolling issues with the notes panel virtualized list
* Fixed issue where if the thumbnail panel was resized all the way to the edge in IE11 it wouldn't be able to be resized back
* Fixed issue where side panels would have empty space at the bottom if the main header was hidden
* Fixed issue with sorting annotations by type in the notes panel
* Fixed issue where the link button was still clickable when entering an invalid page number


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.apryse.com/web/changelogs/version-7/v7-3/v7-3-3.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
